require 'sucker_punch/persistence/activerecord/adapter'
require 'sucker_punch/persistence/activerecord/job'

module SuckerPunch::Persistence
  module ActiveRecord
    extend SuckerPunch::Persistence

    def self.persistence_adapter
      Adapter.new
    end

    def perform(*args, completed_callback)
      super(*args).tap do |return_value|
        completed_callback.call(return_value)
      end
    end
  end
end
