module SuckerPunch::Persistence
  module Call
    attr_accessor :record, :data_store

    def dispatch(*args)
      data_store.update_status(record, 'started')
      @arguments.push ->(return_value) do
        data_store.update_status(record, 'complete', return_value)
      end
      super
    end
  end
end
